/*--------------------------------------------------------------------------
 Copyright 1999,2001, Dan Kegel http://www.kegel.com/
 Copyright 2003 Ixia http://www.ixiacom.com/
 See the file COPYING

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--------------------------------------------------------------------------*/

#ifndef RN_TYPES_H
#define RN_TYPES_H

#include <librn_config.h>	/* must come first */

#include <librn.h>

#ifdef CONFIG_RN_SIGIO
#include <rn_sigio.h>
#endif

#ifdef CONFIG_RN_DEV_EPOLL
#include <rn_dev_epoll.h>
#endif

#ifdef CONFIG_RN_SYS_EPOLL
#include <rn_sys_epoll.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* If you really need to, you can tell which of these is
 * active by comparing one of the function pointers against
 * the four real functions it might have been set to.
 */
union rn {
#ifdef CONFIG_RN_SIGIO
	struct rn_sigio		sigio;
#endif
#ifdef CONFIG_RN_DEV_EPOLL
	struct rn_dev_epoll	epoll;
#endif
#ifdef CONFIG_RN_SYS_EPOLL
	struct rn_sys_epoll	sys_epoll;
#endif
};


#ifdef __cplusplus
}
#endif

#endif	/* !RN_TYPES_H */
